Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Common
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
Imports CharterDotCom.WebSite.Library
Imports CharterDotCom.WebSite.Library.BLCommon

Partial Class Visitors_LocalArea
    Inherits CharterCMSPage


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        SetPageTitle("Local Area")
    End Sub

	Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender

		Dim zip As String = Request.QueryString("zipcode")
		If Not zip Is Nothing Then
			AccountManager.Instance.Arealize(zip)
		End If

		Dim account As IAccount													'added
		account = AccountManager.Instance.GetAccount()	'added
		ucLocalArea.Account = account										'added
		If account.AreaName IsNot Nothing Then
			lblAreaName.Text = "Charter in Your Area - " + AccountManager.Instance.GetAccount().AreaName.Trim()
		End If
		If User.Identity.IsAuthenticated Then
			ucLookForService.Visible = False
		Else
			ucLookForService.Visible = True
		End If
	End Sub
End Class
